CorebanqCorebanq Developer Docs
Customersv1Signatories

Create Signatory

Handler: CreateNewSignatory → CreateSignatorySrv. Returns 200 (not 201).

POST
/v1/customers/{id}/signatories

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from /v1/authenticate endpoint

In: header

Path Parameters

id*string

id path parameter

id*string

Customer UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

SignatoryCreateInput — create a signatory for a customer.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/signatories" \  -H "Content-Type: application/json" \  -d '{    "first_name": "string",    "last_name": "string",    "nationality": "string",    "signature_type": "ALONE"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "first_name": "string",
  "last_name": "string",
  "email": "user@example.com",
  "user_id": "string",
  "status": "string",
  "is_existing_user": true,
  "signature_type": "string",
  "weight": 0,
  "period_start_date": "string",
  "period_end_date": "string"
}
{
  "status": 400,
  "message": "Bad request"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "Internal server error"
}